<?php
  session_start();

  if (isset($_SESSION['username']))
  {
    $username = $_SESSION['username'];
    $password = $_SESSION['password'];
    $forename = $_SESSION['forename'];
    $surname  = $_SESSION['surname'];

    destroy_session_and_data();
	
    echo "Witaj ponownie, $forename.<br>
          Twoje pełne imię i nazwisko to $forename $surname.<br>
          Twój login to '$username'
          a Twoje hasło to '$password'.";
  }
  else echo "<a href='authenticate2.php'>Kliknij tutaj</a>, aby się zalogować.";

  function destroy_session_and_data()
  {
    $_SESSION = array();
    setcookie(session_name(), '', time() - 2592000, '/');
    session_destroy();
  }
?>